#if !defined(AFX_FILEDLG_H__3FF204A1_2B06_11D3_8458_00105A17BC83__INCLUDED_)
#define AFX_FILEDLG_H__3FF204A1_2B06_11D3_8458_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FileDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFileDlg dialog

class CFileDlg : public CDialog
{
// Construction
public:
	CFileDlg(CWnd* pParent = NULL);   // standard constructor
	~CFileDlg();

// Dialog Data
	//{{AFX_DATA(CFileDlg)
	enum { IDD = IDD_FILEDLG };
	CEdit	m_NumObj;
	CEdit	m_MapName;
	CListBox	m_FileList;
	//}}AFX_DATA

	CString m_PathName;

	char* GetPathName();
	void LoadMissionList();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFileDlg)
	afx_msg void OnFiledlgdelete();
	afx_msg void OnFiledlgopen();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeFiledlglist();
	afx_msg void OnDblclkFiledlglist();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void ClearListData();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILEDLG_H__3FF204A1_2B06_11D3_8458_00105A17BC83__INCLUDED_)
